#
# Makefile for mwavelan_cs
#

VERS = 1.10

FILES = mwavelan_cs.mk \
    README.wavelan2_cs \
    README.mwavelan_cs \
    LICENSE.wavelan2_cs \
    LICENSE.mwavelan_cs \
    Install \
    Build \
    examples.txt \
    wireless/mwavelan_cs.mk \
    wireless/mwavelan_cs.c \
    etc/mwavelan_cs.conf \
    etc/mwavelan_cs.mk \
    etc/mwavelan_cs.patch \
    include/hcf/debug.h \
    include/hcf/libhcf.h \
    lib/libhcf-i386.a \
    man/wavelan2_cs.4

all:
	$(MAKE) -C wireless -f mwavelan_cs.mk $@

install:
	$(MAKE) -C wireless install MODULES=mwavelan_cs.o
	/sbin/depmod -a
	$(MAKE) -C man install-man4 MAN4=wavelan2_cs.4
	$(MAKE) -C etc -f mwavelan_cs.mk $@

dist:
	tar czvf mwavelan_cs-$(VERS).tar.gz $(FILES)

